/*
 * @Author: zc
 * @description 工单延期
 */
import request from '/@/utils/request';
/**
 * @description 可申请延期工单
 * @param {object} params
 */
export const candelayList = (params: object) => {
    return request({
        url: `/api/v1/Order/candelay`,
        method: 'get',
        params
    });
};
/**
 * @description 申请延期
 * @param data
 */
export const delayOrder = (data: object) => {
    return request({
        url: `/api/v1/Order/delay`,
        method: 'post',
        data
    });
};
/**
 * @description 延期工单列表
 * @param {object} params
 */
export const delayList = (params: object) => {
    return request({
        url: `/api/v1/Order/delay`,
        method: 'get',
        params
    });
};
/**
 * @description 延期详情
 * @param id
 */
export const delalDetail = (id: string) => {
    return request({
        url: `/api/v1/Order/delay/${id}`,
        method: 'get'
    });
};